AssertMo (jMock API Documentation)
Keywords: org.jmock.expectation.AssertMo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jmock.expectation
Class AssertMo

    java.lang.Object
      junit.framework.Assert
          org.jmock.expectation.AssertMo

    public class AssertMo

extends Assert

Constructor Summary
`protected` | `AssertMo()`

Method Summary
`static void` | `assertEquals(String description, Object[] expectedArray, Object[] actualArray)`
`static void` | `assertExcludes(String description, String excludeString, String targetString)`
`static void` | `assertFails(String message, Runnable runnable)`
`static void` | `assertIncludes(String description, String includeString, String targetString)`
`static void` | `assertStartsWith(String description, String startString, String targetString)`
`static void` | `assertVerifyFails(Verifiable aVerifiable)`
`protected static void` | `failNotEquals(String message, Object expected, Object actual)`
`static void` | `notImplemented(String mockName)`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertMo

    protected AssertMo()

Method Detail

### assertEquals

    public static void assertEquals(String description,
                                    Object[] expectedArray,
                                    Object[] actualArray)

### assertExcludes

    public static void assertExcludes(String description,
                                      String excludeString,
                                      String targetString)

### assertIncludes

    public static void assertIncludes(String description,
                                      String includeString,
                                      String targetString)

### assertStartsWith

    public static void assertStartsWith(String description,
                                        String startString,
                                        String targetString)

### assertVerifyFails

    public static void assertVerifyFails(Verifiable aVerifiable)

### failNotEquals

    protected static void failNotEquals(String message,
                                        Object expected,
                                        Object actual)

### notImplemented

    public static void notImplemented(String mockName)

### assertFails

    public static void assertFails(String message,
                                   Runnable runnable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD